var SLOW_ASYNC_SITE = "https://www.airbnb.com/";
var USER_AGENT = "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/97.0.4692.71 Safari/537.36";
describe("verify waitForDOMInactivity", function () {
    it("does not throw error", function () {
        cy.visit(SLOW_ASYNC_SITE, {
            headers: {
                accept: "application/json, text/plain, */*",
                "user-agent": "axios/0.27.2",
            },
        }).waitForDOMInactivity();
    });
    it("waits for DOM to stop mutating", function () {
        // without waiting
        cy.getCurrentTimeMs()
            .as("startTimeWithoutWait")
            .visit(SLOW_ASYNC_SITE, {
            headers: {
                accept: "application/json, text/plain, */*",
                "user-agent": "axios/0.27.2",
            },
        })
            .getCurrentTimeMs()
            .then(function (endTime) {
            return cy
                .get("@startTimeWithoutWait")
                .then(function (startTime) { return endTime - startTime; });
        })
            .as("timeWithoutWait");
        // With waiting
        cy.getCurrentTimeMs()
            .as("startTimeWithWait")
            .visit(SLOW_ASYNC_SITE, {
            headers: {
                accept: "application/json, text/plain, */*",
                "user-agent": "axios/0.27.2",
            },
        })
            .getCurrentTimeMs()
            .then(function (endTime) {
            return cy
                .get("@startTimeWithWait")
                .then(function (startTime) { return endTime - startTime; });
        })
            .as("timeWithWait");
        cy.get("@timeWithoutWait").then(function (time) { return cy.log(String(time)); });
        cy.get("@timeWithWait").then(function (time) { return cy.log(String(time)); });
        cy.get("@timeWithoutWait").then(function (timeWithoutWait) {
            return cy.get("@timeWithWait").should("be.greaterThan", timeWithoutWait);
        });
    });
});
